<?php
	// Grab custom settings
	global $especial_theme_options;
	
	$default_theme_color = especial_get_option( get_option_tree('default_theme_color', $especial_theme_options, false, false ), 'gray_pink', false );
	$logo_upload = especial_get_option( get_option_tree('logo_upload', $especial_theme_options, false, false ), get_template_directory_uri() . '/images/logo.png', false );
	$logo_url = especial_get_option( get_option_tree('logo_url', $especial_theme_options, false, false ), '', false ); 
	$favicon_upload = especial_get_option( get_option_tree('favicon_upload', $especial_theme_options, false, false ), get_template_directory_uri() . '/images/favicon.ico', false );
	$phone_txt = especial_get_option( get_option_tree('phone_txt', $especial_theme_options, false, false ), '', false );
	$email_input = especial_get_option( get_option_tree('email_input', $especial_theme_options, false, false ), '', false );
	$header_title_input = especial_get_option( get_option_tree('header_title_input', $especial_theme_options, false, false ), '', false );
	$font_name = especial_get_option( get_option_tree('font_name', $especial_theme_options, false, false ), 'Museo', false );

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>

<head>
	<meta charset="<?php bloginfo('charset'); ?>" />
	
	<?php if (is_search()) { ?>
	   <meta name="robots" content="noindex, nofollow" /> 
	<?php } ?>

<title><?php
	/*
	 * Print the <title> tag based on what is being viewed.
	 */
	global $page, $paged;

	wp_title( '|', true, 'right' );

	// Add the blog name.
	bloginfo( 'name' );

	// Add the blog description for the home/front page.
	$site_description = get_bloginfo( 'description', 'display' );
	if ( $site_description && ( is_home() || is_front_page() ) )
		echo " | $site_description";

	// Add a page number if necessary:
	if ( $paged >= 2 || $page >= 2 )
		echo ' | ' . sprintf( __( 'Page %s', 'especial' ), max( $paged, $page ) );

	?></title>
    
    
<link rel="shortcut icon" href="<?php echo $favicon_upload; ?>" />
	
   
<link rel="stylesheet" id='css_main-css' href="<?php echo get_template_directory_uri(); ?>/style.css" type="text/css" media="screen" charset="utf-8" /> 
<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/pretty-photo.css" type="text/css" media="screen" charset="utf-8" />
<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/<?php echo $font_name; ?>_Font.css" type="text/css" media="screen" charset="utf-8" />

<link rel="stylesheet" id='css_gray_pink-css' title='gray_pink' href="<?php echo get_template_directory_uri(); ?>/css/<?php echo $default_theme_color; ?>.css" type="text/css" media="screen" charset="utf-8" />

<link rel='alternate stylesheet' id='css_gray_aqua-css' title='gray_aqua' href='<?php echo get_template_directory_uri(); ?>/css/gray_aqua.css' type='text/css' media='screen' />
<link rel='alternate stylesheet' id='css_gray_orange-css' title='gray_orange' href='<?php echo get_template_directory_uri(); ?>/css/gray_orange.css' type='text/css' media='screen' />
<link rel='alternate stylesheet' id='css_gray_lilac-css' title='gray_lilac' href='<?php echo get_template_directory_uri(); ?>/css/gray_lilac.css' type='text/css' media='screen' />
<link rel='alternate stylesheet' id='css_gray_red-css' title='gray_red' href='<?php echo get_template_directory_uri(); ?>/css/gray_red.css' type='text/css' media='screen' />
<link rel='alternate stylesheet' id='css_light_gray-css' title='light_gray' href='<?php echo get_template_directory_uri(); ?>/css/light_gray.css' type='text/css' media='screen' />
<link rel='alternate stylesheet' id='css_light_gray_pink-css' title='light_gray_pink' href='<?php echo get_template_directory_uri(); ?>/css/light_gray_pink.css' type='text/css' media='screen' />
<link rel='alternate stylesheet' id='css_light_gray_aqua-css' title='light_gray_aqua' href='<?php echo get_template_directory_uri(); ?>/css/light_gray_aqua.css' type='text/css' media='screen' />
<link rel='alternate stylesheet' id='css_light_gray_orange-css' title='light_gray_orange' href='<?php echo get_template_directory_uri(); ?>/css/light_gray_orange.css' type='text/css' media='screen' />
<link rel='alternate stylesheet' id='css_light_gray_lilac-css' title='light_gray_lilac' href='<?php echo get_template_directory_uri(); ?>/css/light_gray_lilac.css' type='text/css' media='screen' />
<link rel='alternate stylesheet' id='css_light_gray_blue_green-css' title='light_gray_blue_green' href='<?php echo get_template_directory_uri(); ?>/css/light_gray_blue_green.css' type='text/css' media='screen' />

<!--[if IE 7]><link href="<?php echo get_template_directory_uri(); ?>/css/style-ie7.css" rel="stylesheet" type="text/css" /><![endif]-->
<!--[if IE 8]><link href="<?php echo get_template_directory_uri(); ?>/css/style-ie8.css" rel="stylesheet" type="text/css" /><![endif]--> 
<!-- // Load CSS Stylesheets -->

<!-- Logo position  -->
<style type="text/css">

#logo	{
	top:<?php echo get_option_tree('header_top_logo_indent'); ?>px;
	left:<?php echo get_option_tree('header_left_logo_indent'); ?>px;	
}

.footer_logo	{
	top:<?php echo get_option_tree('footer_top_logo_indent'); ?>px;
	left:<?php echo get_option_tree('footer_left_logo_indent'); ?>px;	
}	
</style>
        
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

<?php if ( is_singular() ) wp_enqueue_script('comment-reply'); ?>

    <!-- Theme Hook -->
	<?php wp_head(); ?>

</head>

<body <?php body_class(); ?>>

<!--  Color Switcher  //-->

<?php if(get_option_tree('switcher_on_off')) { ?>

<div class="schemes">
<a href='?style=gray_pink' rel='gray_pink' class='gray_pink' title='gray_pink'>gray_pink</a>
<a href='?style=gray_aqua' rel='gray_aqua' class='gray_aqua' title='gray_aqua'>gray_aqua</a>
<a href='?style=gray_orange' rel='gray_orange' class='gray_orange' title='gray_orange'>gray_orange</a>
<a href='?style=gray_lilac' rel='gray_lilac' class='gray_lilac' title='gray_lilac'>gray_lilac</a>
<a href='?style=gray_red' rel='gray_red' class='gray_red' title='gray_red'>gray_red</a>
<a href='?style=light_gray' rel='light_gray' class='light_gray' title='light_gray'>light_gray</a>
<a href='?style=light_gray_pink' rel='light_gray_pink' class='light_gray_pink' title='light_gray_pink'>light_gray_pink</a>
<a href='?style=light_gray_aqua' rel='light_gray_aqua' class='light_gray_aqua' title='light_gray_aqua'>light_gray_aqua</a>
<a href='?style=light_gray_orange' rel='light_gray_orange' class='light_gray_orange' title='light_gray_orange'>light_gray_orange</a>
<a href='?style=light_gray_lilac' rel='light_gray_lilac' class='light_gray_lilac' title='light_gray_lilac'>light_gray_lilac</a>
<a href='?style=light_gray_blue_green' rel='light_gray_blue_green' class='light_gray_blue_green' title='light_gray_blue_green'>light_gray_blue_green</a>
</div>

<?php } ?>



<div class="wrapper">

<div class="header">

<!--  Logo  //-->

<?php 
// If logo URL is set, override the logo_url
	if ( $logo_url )
		$logo_upload = $logo_url;
?>

<div id="logo">

<a href="<?php echo home_url(); ?>/"><img src="<?php echo $logo_upload; ?>" alt="<?php bloginfo('name'); ?>"/></a>
</div>
<!--//  END Logo  -->



<?php if(get_option_tree('phone_on_off')) { ?>

<!--  Top Contact Box  //-->
<div id="top_contact_box">
<div class="top_contact_box1">
Phone:<br />
Email:
</div>

<div class="top_contact_box2">
<span><?php echo $phone_txt; ?></span><br />
<a href="mailto:<?php echo $email_input; ?>"><?php echo $email_input; ?></a></div>
</div>

<?php } ?>

<?php if(get_option_tree('headertitle_on_off')) { ?>


<div id="top_title_box">
<?php echo $header_title_input; ?>
</div>

<?php } ?>



<!--  Search  //-->
<div id="search">
<?php get_search_form(); ?>
 </div><!--//  END Search  -->

<!--  Superfish Menu  //-->
<div class="top_menu">

<?php /* Our navigation menu.  If one isn't filled out, wp_nav_menu falls back to wp_page_menu.  The menu assiged to the primary position is the one used.  If none is assigned, the menu with the lowest ID is used.  */ ?>
<?php wp_nav_menu( array( 'menu_class' => 'sf-menu', 'theme_location' => 'primary', 'fallback_cb' => 'especial_menu_fallback' ) ); ?>


</div><!--//  End Superfish Menu  -->

</div>
<div id="content">

<!--  Top Left Sidebar Image  //-->

<div class="leftsidebar_top">
</div><!--//  END Top Left Sidebar Image  -->
