<?php

/* ----- UNFORMATTED TEXT ----- */
function my_formatter($content) {
	$new_content = '';
	$pattern_full = '{(\[raw\].*?\[/raw\])}is';
	$pattern_contents = '{\[raw\](.*?)\[/raw\]}is';
	$pieces = preg_split($pattern_full, $content, -1, PREG_SPLIT_DELIM_CAPTURE);

	foreach ($pieces as $piece) {
		if (preg_match($pattern_contents, $piece, $matches)) {
			$new_content .= $matches[1];
		} else {
			$new_content .= wptexturize(wpautop($piece));
		}
	}

	return $new_content;
}

remove_filter('the_content', 'wpautop');
remove_filter('the_content', 'wptexturize');
add_filter('the_content', 'my_formatter', 99);

/*-----------------------------------------------------------------------------------

	Theme Shortcodes

-----------------------------------------------------------------------------------*/


/*-----------------------------------------------------------------------------------*/
/*	Page with sidebar Layout
/*-----------------------------------------------------------------------------------*/


function tdl_one_half( $atts, $content = null ) {
   return '[raw]<div class="lside_half-page">[/raw]' . do_shortcode($content) . '[raw]</div>[/raw]';
}
add_shortcode('one_half', 'tdl_one_half');

function tdl_one_half_last( $atts, $content = null ) {
   return '[raw]<div class="lside_half-page last">[/raw]' . do_shortcode($content) . '[raw]</div>[/raw]';
}
add_shortcode('one_half_last', 'tdl_one_half_last');


function tdl_one_third( $atts, $content = null ) {
   return '[raw]<div class="lside_one-third">[/raw]' . do_shortcode($content) . '[raw]</div>[/raw]';
}
add_shortcode('one_third', 'tdl_one_third');

function tdl_one_third_last( $atts, $content = null ) {
   return '[raw]<div class="lside_one-third last">[/raw]' . do_shortcode($content) . '[raw]</div>[/raw]';
}
add_shortcode('one_third_last', 'tdl_one_third_last');

/*-----------------------------------------------------------------------------------*/
/*	Fullwidth Layout Shortcodes
/*-----------------------------------------------------------------------------------*/

function tdl_fullwidth_one_half( $atts, $content = null ) {
   return '[raw]<div class="full_half-page">[/raw]' . do_shortcode($content) . '[raw]</div>[/raw]';
}
add_shortcode('full_one_half', 'tdl_fullwidth_one_half');

function tdl_fullwidth_one_half_last( $atts, $content = null ) {
   return '[raw]<div class="full_half-page last">[/raw]' . do_shortcode($content) . '[raw]</div>[/raw]';
}
add_shortcode('full_one_half_last', 'tdl_fullwidth_one_half_last');

function tdl_fullwidth_one_third( $atts, $content = null ) {
   return '[raw]<div class="full_one-third">[/raw]' . do_shortcode($content) . '[raw]</div>[/raw]';
}
add_shortcode('full_one_third', 'tdl_fullwidth_one_third');

function tdl_fullwidth_one_third_last( $atts, $content = null ) {
   return '[raw]<div class="full_one-third last">[/raw]' . do_shortcode($content) . '[raw]</div>[/raw]';
}
add_shortcode('full_one_third_last', 'tdl_fullwidth_one_third_last');

function tdl_fullwidth_one_fourth( $atts, $content = null ) {
   return '[raw]<div class="full_one-fourth">[/raw]' . do_shortcode($content) . '[raw]</div>[/raw]';
}
add_shortcode('full_one_fourth', 'tdl_fullwidth_one_fourth');

function tdl_fullwidth_one_fourth_last( $atts, $content = null ) {
   return '[raw]<div class="full_one-fourth last">[/raw]' . do_shortcode($content) . '[raw]</div>[/raw]';
}
add_shortcode('full_one_fourth_last', 'tdl_fullwidth_one_fourth_last');

/*-----------------------------------------------------------------------------------*/
/*	Heading Shortcodes
/*-----------------------------------------------------------------------------------*/


function tdl_H1_heading( $atts, $content = null ) {
   return '<h1>' . do_shortcode($content) . '</h1>';
}
add_shortcode('H1', 'tdl_H1_heading');

function tdl_H2_heading( $atts, $content = null ) {
   return '<h2>' . do_shortcode($content) . '</h2>';
}
add_shortcode('H2', 'tdl_H2_heading');

function tdl_H3_heading( $atts, $content = null ) {
   return '<h3>' . do_shortcode($content) . '</h3>';
}
add_shortcode('H3', 'tdl_H3_heading');

function tdl_H4_heading( $atts, $content = null ) {
   return '<h4>' . do_shortcode($content) . '</h4>';
}
add_shortcode('H4', 'tdl_H4_heading');

function tdl_H5_heading( $atts, $content = null ) {
   return '<h5>' . do_shortcode($content) . '</h5>';
}
add_shortcode('H5', 'tdl_H5_heading');

/*-----------------------------------------------------------------------------------*/
/*	Images
/*-----------------------------------------------------------------------------------*/

function tdl_image_left( $atts, $content = null ) {
    extract(shortcode_atts(array(
  'width' => '',
  'height' => '',
  'image_path' => '',
    ), $atts));
	$out = '<div class="photo left"><img src="'.ESPECIAL_TEMPLATE.'/libraries/timthumb.php?src=' .$image_path. '&amp;h=' .$height. '&amp;w=' .$width. '&amp;zc=1" width="' .$width. '" height="' .$height. '" alt="" />' .do_shortcode($content). '</div>';
    return $out;
}
add_shortcode('image_left', 'tdl_image_left');

function tdl_image_right( $atts, $content = null ) {
    extract(shortcode_atts(array(
  'width' => '',
  'height' => '',
  'image_path' => '',
    ), $atts));
	$out = '<div class="photo right"><img src="'.ESPECIAL_TEMPLATE.'/libraries/timthumb.php?src=' .$image_path. '&amp;h=' .$height. '&amp;w=' .$width. '&amp;zc=1" width="' .$width. '" height="' .$height. '" alt="" />' .do_shortcode($content). '</div>';
    return $out;
}
add_shortcode('image_right', 'tdl_image_right');

function tdl_image_left_link( $atts, $content = null ) {
    extract(shortcode_atts(array(
  'image_link' => '',
  'width' => '',
  'height' => '',
  'image_path' => '',
    ), $atts));
	$out = '<div class="photo left"><a href="' .$image_link. '"><img src="'.ESPECIAL_TEMPLATE.'/libraries/timthumb.php?src=' .$image_path. '&amp;h=' .$height. '&amp;w=' .$width. '&amp;zc=1" width="' .$width. '" height="' .$height. '" alt="" />' .do_shortcode($content). '</a></div>';
    return $out;
}
add_shortcode('image_left_link', 'tdl_image_left_link');

function tdl_image_right_link( $atts, $content = null ) {
    extract(shortcode_atts(array(
  'image_link' => '',
  'width' => '',
  'height' => '',
  'image_path' => '',
    ), $atts));
	$out = '<div class="photo right"><a href="' .$image_link. '"><img src="'.ESPECIAL_TEMPLATE.'/libraries/timthumb.php?src=' .$image_path. '&amp;h=' .$height. '&amp;w=' .$width. '&amp;zc=1" width="' .$width. '" height="' .$height. '" alt="" />' .do_shortcode($content). '</a></div>';
    return $out;
}
add_shortcode('image_right_link', 'tdl_image_right_link');

function tdl_image_left_pop( $atts, $content = null ) {
    extract(shortcode_atts(array(
  'big_image_link' => '',
  'gallery_name' => '',
  'width' => '',
  'height' => '',
  'image_path' => '',
  'description' => '',
    ), $atts));
	$out = '<div class="pr_photo left"><a href="' .$big_image_link. '" rel="prettyPhoto[' .$gallery_name. ']"><img src="'.ESPECIAL_TEMPLATE.'/libraries/timthumb.php?src=' .$image_path. '&amp;h=' .$height. '&amp;w=' .$width. '&amp;zc=1" width="' .$width. '" height="' .$height. '" title="' .$description. '" alt="' .$description. '" />' .do_shortcode($content). '</a></div>';
    return $out;
}

add_shortcode('image_left_pop', 'tdl_image_left_pop');

function tdl_image_right_pop( $atts, $content = null ) {
    extract(shortcode_atts(array(
  'big_image_link' => '',
  'gallery_name' => '',
  'width' => '',
  'height' => '',
  'image_path' => '',
  'description' => '',
    ), $atts));
	$out = '<div class="pr_photo right"><a href="' .$big_image_link. '" rel="prettyPhoto[' .$gallery_name. ']"><img src="'.ESPECIAL_TEMPLATE.'/libraries/timthumb.php?src=' .$image_path. '&amp;h=' .$height. '&amp;w=' .$width. '&amp;zc=1" width="' .$width. '" height="' .$height. '" title="' .$description. '" alt="' .$description. '" />' .do_shortcode($content). '</a></div>';
    return $out;
}

add_shortcode('image_right_pop', 'tdl_image_right_pop');

/*-----------------------------------------------------------------------------------*/
/*	Lists Shortcodes
/*-----------------------------------------------------------------------------------*/

function tdl_checkmark( $atts, $content = null ) {
   return '<ul class="bullet-check">' . do_shortcode($content) . '</ul>';
}
add_shortcode('checkmark', 'tdl_checkmark');

function tdl_bulleted( $atts, $content = null ) {
   return '<ul class="bulletlist">' . do_shortcode($content) . '</ul>';
}
add_shortcode('bulleted', 'tdl_bulleted');

function tdl_ordlist( $atts, $content = null ) {
   return '<ol class="ordlist">' . do_shortcode($content) . '</ol>';
}
add_shortcode('ordlist', 'tdl_ordlist');

/*-----------------------------------------------------------------------------------*/
/*	Other Shortcodes
/*-----------------------------------------------------------------------------------*/

function tdl_code( $atts, $content = null ) {
   return '<code>' . do_shortcode($content) . '</code>'; 
}
add_shortcode('code', 'tdl_code');

function tdl_divider( $atts, $content = null ) {
   return '<hr />'; 
}
add_shortcode('HR', 'tdl_divider');

 
function tdl_button( $atts, $content = null ) {
    extract(shortcode_atts(array(
    'link'      => '#',
	'target'      => ''
    ), $atts));
	$target = ($target == 'blank' || $target == 'parent' || $target == 'self' || $target == 'top') ? $target : '';
	$target = ($target == 'blank') ? ' target="_blank"' : $target;
	$target = ($target == 'parent') ? ' target="_parent"' : $target;
	$target = ($target == 'self') ? ' target="_self"' : $target;
	$target = ($target == 'top') ? ' target="_top"' : $target;
	$out = '<div class="cont_button"><a' .$target. ' href="' .$link. '"><span>' .do_shortcode($content). '</span></a></div>';
    return $out;
}
add_shortcode('button', 'tdl_button');

function tdl_highlight( $atts, $content = null ) {
    extract(shortcode_atts(array(
	'color'      => ''
    ), $atts));
	$color = ($color == 'themecolor' || $color == 'blue' || $color == 'black' || $color == 'red' || $color == 'green') ? $color : '';
	$color = ($color == 'themecolor') ? 'hightlight_themecolor' : $color;
	$color = ($color == 'blue') ? 'hightlight_blue' : $color;
	$color = ($color == 'black') ? 'hightlight_black' : $color;
	$color = ($color == 'red') ? 'hightlight_red' : $color;
	$color = ($color == 'green') ? 'hightlight_green' : $color;
	$out = '<span class="' .$color. '">' .do_shortcode($content). '</span>';
    return $out;
}
add_shortcode('highlight', 'tdl_highlight');

function tdl_letercaps( $atts, $content = null ) {
    extract(shortcode_atts(array(
	'color'      => ''
    ), $atts));
	$color = ($color == 'dropcap' || $color == 'gray') ? $color : '';
	$color = ($color == 'dropcap') ? 'dropcap' : $color;
	$color = ($color == 'gray') ? 'dropcap_gray' : $color;
	$out = '<span class="' .$color. '">' .do_shortcode($content). '</span>';
    return $out;
}
add_shortcode('letercaps', 'tdl_letercaps');

function tdl_blockquote( $atts, $content = null ) {
   return '<blockquote>' .do_shortcode($content). '</blockquote>'; 
}
add_shortcode('blockquote', 'tdl_blockquote');

/**
 * Table Shortcode 
 **/
function tdl_table( $atts, $content = null ) {
	extract(shortcode_atts(array(
    ), $atts));
	$out = $content;
	return $out;
}
add_shortcode('table', 'tdl_table');

?>